var apis = {
    url: 'http://192.168.0.111:8091/systemcard/',
    userCenter: 'http://192.168.0.111:8091/systemcard/',
    baseImgUrl: 'http://192.168.0.111:8091/systemcard/route/file/download/true/',
    doSaveUserInfo: `app/miniapp/user/update-info`, //保存微信头像与名称
    doUpdatePhone: `app/miniapp/update-phone`, //绑定手机号 token, {phone:''} put
    doUploadImg: `app/file/uploadimage`, //上传图片
    doUploadVideo: `app/file/uploadvideo`, //上传视频
    doUploadAudio: `app/file/uploadaudio`, //上传音频
    /**用户相关 */
    wxLogin: `wechat-miniapp/sign/default`, //微信用户登录
    // wxLogin: `wechat/miniapp/sign/default`, //微信用户登录
    getDictionaryList: `app/data/listallbyparentid/{dataParentId}`, //获取字典全部列表
    getAreaDictionaryList: `app/area/listbyparentid/{areaParentId}`, //获取地区全部字典

    /**店铺相关 **/
    doSaveShop: `app/shop/save`, //保存商店
    doUpdateShopInfo: `app/shop/updateshop/{shopId}`, //更新店铺信息
    getIndustryList: `app/industry/listztreeindustry`, //获取行业类型列表
    getIndustryAll: `app/industry/get-all-industry`, //获取全部行业
    delStaff: `app/shopstaff/remove/{ids}`, //删除职工信息
    doDelMember: `app/shopmember/remove/{ids}`, //删除会员信息
    getShopDetail: `app/shop/get/{shopId}`, //获取店铺详情
    doDelShop: `app/shop/remove/{ids}`, //删除商店
    doSavePosition: `app/shopposition/save`, //保存职位,
    getMemberList: `app/shopmember/getShopMemberList/{shopId}`, //获取会员列表
    getPositionList: `app/shopposition/getShopPositlist/{shopId}`, //获取职位列表
    getMineShopList: `app/shop/myListPage`, //获取我的全部商店
    delPosition: `app/shopposition/remove/{ids}`, //删除职位
    getStaffList: `app/shopstaff/getShopStafList/{shopId}`, //获取职工列表
    getGoodsDetail: `app/shopgoods/get/{goodsId}`, //获取商品详情
    getShopCode: `app/shop/getshopcode/{shopId}/{type}`, //获取店铺二维码  type 1员工  2会员
    getAuthenticationInfo: `app/shopcertification/businessLicenseOCR/{id}`, //根据上传的图片ID获取上传营业执照内容
    doAuthentication: `app/shopcertification/save`, //进行认证
    getShopAuthenticationInfo: `app/shopcertification/get/{shopCertificationId}`, //获取店铺认证信息
    doUpdateAuthenticationInfo: `app/shopcertification/updateshopcertification/{shopCertificationId}`, //更新店铺认证信息
    getTempleteList: `app/shoptemplateconfig/get-template-by-industryId/{industryId}`, //根据行业ID获取模板列表
    /** 优惠券 **/
    doSaveCoupon: `app/coupon/save`, //保存优惠券
    getCouponList: `app/coupon/list`, //获取优惠卷列表
    doUpdateCoupon: `app/coupon/updatecoupon/{couponId}`, //更新优惠券
    doDelCoupon: `app/coupon/remove/{ids}`, //删除优惠券
    getCouponDetail: `app/coupon/get/{couponId}`, //获取优惠券详情
    /**商品相关 **/
    doSaveStaff: ``, //保存职工信息
    getCatalogList: `app/category/listztreecategory/{level}`, //获取商品类目列表
    getCatalogThirdList: `app/category/third-data`, //获取三级商品类目
    getRecycleCategoryList: `app/category/recycle-category`, //获取回收站类目
    doDelCatalogRecycle: `app/category/delete-category/{ids}`, //删除回收站的分类
    getRecycleGoodsList: `app/shopgoods/recycle-shopgood`, //回收站商品
    doDelRecycleGoods: `app/shopgoods/delete-shopgood/{ids}`, // 删除回收站数据
    doRecoverGoods: `app/shopgoods/recovery-shopgood/{ids}`, //恢复回收站数据
    getShopGoodsList: `app/shopgoods/listpageshopgoods/{shopId}`, //根据店铺ID获取商品
    getGoodsByCatalogAndShop: `app/shopgoods/goodslistbycategoryid/{categoryId}`, //根据分类和店铺ID获取商品 请求参数shopId:params
    doSaveCatalog: `app/category/save-category-sub`, //添加商品类目
    doDelCatelog: `app/category/removecategory/{ids}`, //删除商品类目
    doRecoverCatelog: `app/category/recovery-category/{ids}`, //恢复删除的类目
    getCatalogDetail: `app/category/getcategorybyid/{categoryId}`, //根据ID获取类目详情
    doUpdateCatalog: `app/category/updatecategory/{categoryId}`, //修改类目详情
    doSaveGoods: `app/shopgoods/save`, //添加商品
    doDelGoods: `app/shopgoods/remove/{ids}`, //删除商品
    doUpdateGoods: `app/shopgoods/updateshopgoods/{shopGoodsId}`, //更新商品信息
    doDelShopCategoryById: `app/category/removecategory/{ids}`, //删除商店类目
    getShopCatalogList: `app/category/categorylistbyshopid/{shopId}`, //获取店铺分类商品
    doSaveOrder: `app/orderdetail/save`, //提交订单 POST
    getMineOrderList: `app/order/listpageorder`, //我的订单列表
    getOrderDetail: `app/order/get/{orderId}`, //获取订单详情

    //个人中心列表
    //栏目数据
    /**个人中心 */
    getMenuList: `app/cardconfigcolumngroup/list`,
    getMomentsList: `app/configcolumndata/list/{configColumnId}`, //获取栏目数据列表
    doSaveMoments: `app/configcolumndata/save/{configColumnId}`, //保存栏目数据
    getMomentsField: `app/configcolumndata/listfield/{configColumnId}`, //获取栏目字段列表
    doDelMoment: `app/configcolumndata/delete/{configColumnId}/{uid}`, //删除栏目数据
    getMomentsContent: `app/configcolumndata/get/{configColumnId}/{uid}`, //获取栏目数据
    getMainColumn: `app/configcolumn/listhome`, //获取首页显示栏目
    getMainMoment: `app/configcolumndata/list/{configColumnId}`, //获取首页栏目数据 通过栏目ID获取栏目下的数据列表(包含每条数据的字段集合)  传入userId参数则查询指定人的 , 没传入userId参数则查询当前token的
    getMineColumnList: `app/configcolumnset/list`, //获取我的栏目配置列表
    doSaveColumnDisplay: `app/configcolumnset/savedisplay`, //保存我的栏目隐藏显示
    doSaveColumnName: `app/configcolumnset/savename`, //保存我的栏目名称
    getColumnListByGroupId: `app/configcolumn/list`, //根据栏目组id获取栏目?   configColumnGroupId 

    //名片信息
    getCardList: `app/cardtemplate/list`, //获取名片列表
    getCardDetail: `app/cardtemplate/get/{cardTemplateId}`, //获取名片详情
    creatCard: `app/cardtemplateuse/save`, //新增名片
    getFileId: `app/pictruestemplatearea/createfile/{picturesTemplateAreaId}`, //换取fileId
    getMyCard: `app/cardtemplateuse/list`, //我的名片列表
    getMyCardDetail: `app/cardtemplateuse/get/{cardTemplateUseId}`, //我的名片详情
    updateMyCard: `app/cardtemplateuse/update/{cardTemplateUseId}`, //更新名片内容
    setDefaultCard: `app/cardtemplateuse/default/{cardTemplateUseId}`, //制定名片
    deleteCard: `app/cardtemplateuse/remove/{ids}`, //删除名片
    getDefaultCard: `app/cardtemplateuse/getdefault`, //首页默认名片
    shareRecord: `app/cardtemplatedispatch/save`, //转发记录
    checkRecord: `app/cardtemplatescans/save`, //保存查看记录
    shareCard: `app/cardtemplateuse/getdispatch/{cardTemplateUseId}`, //查看分享名片
    includedCard: `app/cardtemplateusebag/save`, //加入卡包
    otherCardList: `app/cardtemplateusebag/listpage`, //他人名片列表
    setTop: `app/cardtemplateusebag/updatetop/{cardTemplateUseBagId}/{cardTemplateUseTop}`, // 名片置顶
    getCardUseId: `app/cardtemplatedispatch/get/{cardTemplateDispatchId}`, //获取名片id
    getBrowseHistoryList: `app/cardtemplatescans/listpage/1`, //获取浏览历史
    getCardBrowUserList: `app/cardtemplatescans/listhome`, //需要传递page rows cardTemplateUseId
}

module.exports = {
    apis
}